package com.afp.ordermanagement.controller;

import com.afp.ordermanagement.model.Order;
import com.afp.ordermanagement.repository.OrderRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import reactor.core.publisher.Flux;

@RestController
@RequestMapping("/api")
public class OrderController {

    @Autowired
    OrderRepository orderRepository;

    @GetMapping("/order")
    public Flux<Order> getAllManagers() {
        System.out.println("here");
        Flux<Order> managerFlux = orderRepository.findAll();
        return managerFlux;
    }
}
